MozillaZine

Insecure connection problem

User Help for Mozilla Firefox
enraiha
 
Posts: 4
Joined: June 28th, 2018, 4:09 pm

Post Posted June 28th, 2018, 4:44 pm

my firefox does not open absolutely any page, any site that I try to enter the page says that the connection is not secure and the error code MOZILLA_PKIX_ERROR_MITM_DETECTED.

already tried all the possibilities of solutions in https://support.mozilla.org/ and nothing worked, I come here as the last hope of making firefox back to normal.

TheVisitor
 
Posts: 4655
Joined: May 13th, 2012, 10:43 am

Post Posted June 29th, 2018, 3:21 am

What Security software you using ?> AVG, Avast, Kaspersky ?

Did you see this and try the recommendations ? https://support.mozilla.org/en-US/questions/1223172

jscher2000

User avatar
 
Posts: 10142
Joined: December 19th, 2004, 12:26 am
Location: Silicon Valley, CA USA

Post Posted June 29th, 2018, 9:39 am

enraiha wrote:my firefox does not open absolutely any page, any site that I try to enter the page says that the connection is not secure and the error code MOZILLA_PKIX_ERROR_MITM_DETECTED.


This is a new error code in Firefox 61. Previously, Firefox displayed the more general code SEC_ERROR_UNKNOWN_ISSUER. Unfortunately, there's not a specific support article for the new code yet, so you need to refer to that older one:

https://support.mozilla.org/kb/troubleshoot-SEC_ERROR_UNKNOWN_ISSUER

Could you look something up for me:

(1) In a new tab, type or paste about:config in the address bar and press Enter/Return. Click the button promising to be careful or accepting the risk.

(2) In the search box above the list, type or paste mitm and pause while the list is filtered

(3) Is there any value for security.pki.mitm_canary_issuer? Could you right-click > Copy value and paste what you found back here?

enraiha
 
Posts: 4
Joined: June 28th, 2018, 4:09 pm

Post Posted June 29th, 2018, 12:08 pm

jscher2000 wrote:
enraiha wrote:my firefox does not open absolutely any page, any site that I try to enter the page says that the connection is not secure and the error code MOZILLA_PKIX_ERROR_MITM_DETECTED.


This is a new error code in Firefox 61. Previously, Firefox displayed the more general code SEC_ERROR_UNKNOWN_ISSUER. Unfortunately, there's not a specific support article for the new code yet, so you need to refer to that older one:

https://support.mozilla.org/kb/troubleshoot-SEC_ERROR_UNKNOWN_ISSUER

Could you look something up for me:

(1) In a new tab, type or paste about:config in the address bar and press Enter/Return. Click the button promising to be careful or accepting the risk.

(2) In the search box above the list, type or paste mitm and pause while the list is filtered

(3) Is there any value for security.pki.mitm_canary_issuer? Could you right-click > Copy value and paste what you found back here?


I found this value "CN=ComLegService 2,C=EN" and I do not know the meaning.

enraiha
 
Posts: 4
Joined: June 28th, 2018, 4:09 pm

Post Posted June 29th, 2018, 12:11 pm

TheVisitor wrote:What Security software you using ?> AVG, Avast, Kaspersky ?

Did you see this and try the recommendations ? https://support.mozilla.org/en-US/questions/1223172


I use only the security system of windows 10 which I already tried to change several settings or disable but firefox still does not open any page, and yes i see this support page.

jscher2000

User avatar
 
Posts: 10142
Joined: December 19th, 2004, 12:26 am
Location: Silicon Valley, CA USA

Post Posted June 29th, 2018, 5:39 pm

Searches for "ComLegService" seem to point toward a bundleware program that installs here, and various other spots on the system:

C:\Program Files\Legendas-3.5\

I suggest a comprehensive malware scrubdown: https://support.mozilla.org/kb/troubles ... ed-malware

enraiha
 
Posts: 4
Joined: June 28th, 2018, 4:09 pm

Post Posted June 30th, 2018, 3:45 pm

jscher2000 wrote:Searches for "ComLegService" seem to point toward a bundleware program that installs here, and various other spots on the system:

C:\Program Files\Legendas-3.5\

I suggest a comprehensive malware scrubdown: https://support.mozilla.org/kb/troubles ... ed-malware




Wow, but is this serious? this "Legendas" application may be affecting firefox? because it is a very good and useful application.

I was able to solve the problem by reinstalling windows but I would like to understand better what happened because it is not the first time my firefix stops working and removing this application will be that firefox would return to normal?

jscher2000

User avatar
 
Posts: 10142
Joined: December 19th, 2004, 12:26 am
Location: Silicon Valley, CA USA

Post Posted July 3rd, 2018, 4:08 pm

Does Legendas intercept all your browsing? It's normal for Firefox to detect when a "man in the middle" is presenting fake site certificates. If you want the application to have access to all your browsing, then check with the publisher on how best to make it compatible with Firefox. If they don't have an easy answer, we can look at "Plan B" or "Plan C." On the other hand, if you don't want this program reading all your browsing, perhaps turn it off when you don't need it.

costark
 
Posts: 287
Joined: July 14th, 2004, 5:03 am

Post Posted July 5th, 2018, 7:08 am

It's getting hard to factor all the permutations of Browser versions, AV's, Component changes to deduce problem fixes.
Fx just got 61; Mbam changed Component Pkgs Twice in short order.

I then couldn't open the site - https://www.jhannuities.com - Without getting a Firefox Popup about -- page you are trying to view cannot be shown because the authenticity of the received data could not be verified. --

The suggested Fx Fix Links particularly hi-light ESET & AVAST security and by DISabling ESET (Web-Email) SSL Filtering/Re-Start W7/Filter back-ON, try Browser site - It worked in Regular Browser Mode but No Longer in ESET's Banking "Protected Mode".

Mbam's .374 Component Pkg wouldn't load AT&T's Hm Pg without Disabling Web Protect; .390 Pkg Update Fixed THAT & NOW - http - sites won't load w/ .390 Unless Web Protect OFF. Some can't load Many sites.
ALL of this for me is on Firefox - and - You guessed it - IE 11 is mostly Immune (will rarely use IE 11).

Home users need an IT staff, it seems, to survive Win Updates and all of this.
Firefox 61.0.2 (64) - Win 7-64 Hm Prem - Hm-Stdnt '10 Ofce - ESET EIS - MBAM Prem 3 - SuperAS Pro - Macrium Reflect 7 - Diskeeper Pro 15- EPIM Mail - NO Java or Flash - i5 8G Quad Sandy Bridge G2

Return to Firefox Support


Who is online

Users browsing this forum: Google [Bot] and 13 guests